# N|Solid Console

The N|Solid Console visualizes runtime metrics stored in the N|Solid Storage Service, which is gathered from processes running under N|Solid.

The N|Solid Console provides a number of features that make it easy to find resource utilization outliers and track down unexpected behavior in monitored applications:

* package vulnerability checking
* heap snapshots
* CPU profiles
* threshold actions

## System Requirements

* 2+ GB free RAM
* [Git](https://git-scm.com/downloads) or the github desktop application for your platform ([Mac](https://mac.github.com/) / [Windows](https://windows.github.com/))
* `nsolid-node` installed
* `nsolid-storage` installed

### bin

There are a few scripts in `bin/` to do things with the console server. All of them have a `--help` CLI arg, if you'd like to know what options you have.

*  `./bin/nsolid-console.js` - stream info from nsolid-storage, and serve a websocket for frontend client connections
