nsolid-storage - N|Solid Storage Server
==============================================================================

usage:

    nsolid-storage [options]

options are:

    -h --help             - print some help text, then exit
    -v --version          - print the program version, then exit
    -p --config-print     - print the configuration, then exit
    -c --config {file}    - use the specified TOML configuration file
    -r --relay            - run in Relay mode (requires `--config`)
       --generate-keypair - create and print a socket keypair


configuration file
------------------------------------------------------------------------------

A sample config file is located here:

   $sample-config-file$

You can create a new customized config file based on that one, providing only
values you want to override, and pass the name of the config file with the
`-c` and `--config` options.

You can also specify config settings as environment variables.  The environment
variable will start with `NSOLID_STORAGE_`, and then the remaining name is the
'path' to the setting in the default configuration, with the path uppercased
and `.` translated to `_`.
