'use strict'

const url = require('url')
const path = require('path')

module.exports = function buildUrlObj (storageUrl, type, context, params) {
  const baseUrl = (context.httpServer && context.httpServer.url) ? context.httpServer.url : storageUrl
  const urlObj = url.parse(baseUrl, true)
  urlObj.pathname = path.join('/api/v1', type)
  urlObj.query = params || {}
  return urlObj
}
