'use strict'

module.exports = json

const util = require('../util')
const Logger = util.getLogger(__dirname, __filename)

function json (str) {
  if (!str) { return }
  str = String(str).trim()
  try {
    return JSON.parse(str)
  } catch (e) {
    Logger.warn(e, 'error parsing JSON')
    return null
  }
}
